Name:		posixovl
Version:	1.4
Release:	1%{?dist}
Summary:	FUSE overlay filesystem to POSIXify VFAT and similar filesystems

License:	GPLv2
URL:		https://inai.de/projects/posixovl/
Source0:	https://codeberg.org/jengelh/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.xz

BuildRequires:	gcc, fuse-devel, libattr-devel, autoconf, automake

# Work-around for Mageia builds from
# https://forums.mageia.org/en/viewtopic.php?t=13261&p=77751
%define __libtoolize /bin/true

%description
posixovl  provides a filesystem view that supports various POSIX opera‐
tions while using an otherwise incapable lower filesystem.  Filesystems
of  various degrees of POSIXness can be utilitzed. VFAT is a common de‐
nominator when it comes to cross-compatibility, though NTFS — its  fea‐
tures are unused in Linux — would be another possibility. Secondly, po‐
tent native POSIX-style filesystems can also be used, though the actual
use of doing that remains to be discovered.

%prep
%autosetup

%build
%configure
%make_build

%install
rm -rf $RPM_BUILD_ROOT
%make_install
mkdir $RPM_BUILD_ROOT%{_bindir}
mv $RPM_BUILD_ROOT%{_sbindir}/mount.posixovl $RPM_BUILD_ROOT%{_bindir}/
rmdir $RPM_BUILD_ROOT%{_sbindir}
echo '.so man1/posixovl.1' > $RPM_BUILD_ROOT%{_mandir}/man1/mount.posixovl.1

%files
%defattr(-,root,root,-)
%{_bindir}/mount.posixovl
%{_mandir}/man1/posixovl.1.*
%{_mandir}/man1/mount.posixovl.1.*

%changelog
* Thu Apr 25 2024 Philippe Troin <phil@fifi.org> - 1.4-1
- Upstream updated to 1.4.

* Fri Apr  2 2021 Philippe Troin <phil@fifi.org> - 1.3-1
- Created.
